PETSc version 3.17.4
Fix/Edit manual page

# PetscSpaceSetFromOptions

sets parameters in a PetscSpace from the options database

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetFromOptions(PetscSpace sp)

Collective on sp

### Input Parameter

| sp | - the PetscSpace object to set options for

### Options Database

| -petscspace_degree <deg> | - the approximation order of the space
| -petscspace_variables <n> | - the number of different variables, e.g. x and y
| -petscspace_components <c> | - the number of components, say d for a vector field

### See Also

PetscSpaceView()

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c

### Implementations

PetscSpaceSetFromOptions_Polynomial in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceSetFromOptions_Ptrimmed in src/dm/dt/space/impls/ptrimmed/spaceptrimmed.c
PetscSpaceSetFromOptions_Sum in src/dm/dt/space/impls/sum/spacesum.c
PetscSpaceSetFromOptions_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
PetscSpaceSetFromOptions_WXY in src/dm/dt/space/impls/wxy/spacewxy.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages